GDCM 3.2.1

Public Types | Public Member Functions | Friends | List of all members
gdcm::FileSet Class Reference

`#include <gdcmFileSet.h>`

## Public Types
typedef std::vector< FileType > | FilesType
typedef std::string | FileType

## Public Member Functions
| FileSet ()
bool | AddFile (const char *filename)
void | AddFile (File const &)
FilesType const & | GetFiles () const
void | SetFiles (FilesType const &files)

## Friends
std::ostream & | operator<< (std::ostream &_os, const FileSet &d)

## Detailed Description

File-set: A File-set is a collection of DICOM Files (and possibly non-DICOM Files) that share a common naming space within which File IDs are unique.

## Member Typedef Documentation

## ◆ FilesType

typedef std::vector<FileType> gdcm::FileSet::FilesType

## ◆ FileType

typedef std::string gdcm::FileSet::FileType

## Constructor & Destructor Documentation

## ◆ FileSet()

gdcm::FileSet::FileSet | ( |  | ) |
| inline

Referenced by operator<<.

## Member Function Documentation

## ◆ AddFile() [1/2]

bool gdcm::FileSet::AddFile | ( | const char * | filename | ) |

Add a file 'filename' to the list of files. Return true on success, false in case filename could not be found on system.

## ◆ AddFile() [2/2]

void gdcm::FileSet::AddFile | ( | File const & |  | ) |
| inline

Deprecated
  . Does nothing

## ◆ GetFiles()

FilesType const & gdcm::FileSet::GetFiles | ( |  | ) | const
| inline

## ◆ SetFiles()

void gdcm::FileSet::SetFiles | ( | FilesType const & | files | ) |

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const FileSet & | d )
| friend

References FileSet().

The documentation for this class was generated from the following file:

- gdcmFileSet.h